Bug 59191 - (SCSI QLA2300)new qla2300 in 2.4.9-21smp does not detect luns on the controller properly
(SCSI QLA2300)new qla2300 in 2.4.9-21smp does not detect luns on the controll...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
low Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-01 16:49 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-02-01 16:49:37 EST
We have a system with 2 qlogic 2310 fiber channel cards in it. When we load the 
old qla2x00 driver, it detects all the luns fine. The qla2300 driver sees the cards, 
but no luns.

Below is the dmesg output for both the qla2x00 and qla2300 drivers. I have also 
included the output of /proc/scsi/qla2300/4 since this has an adapter state line.

The box has 1Gig of ram, running 2.4.9-21smp. The storage is a EMC 4700, 
direct attached, 2Gig fiber channel. Thanks


qla2x00 driver load, edited to remove the extra lun information
qla2x00: detect() found an HBA
qla2x00: VID=1077 DID=2300 SSVID=1077 SSDID=9
(scsi): Found a QLA2300  @ bus 2, device 0x1, irq 19, iobase 0xfc00
scsi(4): Configure NVRAM parameters...
scsi(4): Verifying loaded RISC code...
scsi(4): Verifying chip...
scsi(4): Waiting for LIP to complete...
scsi(4): LIP reset occurred
scsi(4): LIP occurred.
scsi(4): LOOP UP detected
scsi4: Topology - (Loop), Host Loop address  0x1
scsi-qla0-adapter-node=200000e08b05ca1d;
scsi-qla0-adapter-port=210000e08b05ca1d;
scsi-qla0-target-0=1de0064060010650;
qla2x00: detect() found an HBA
qla2x00: VID=1077 DID=2300 SSVID=1077 SSDID=9
(scsi): Found a QLA2300  @ bus 2, device 0x5, irq 17, iobase 0xf400
scsi(5): Configure NVRAM parameters...
scsi(5): Verifying loaded RISC code...
scsi(5): Verifying chip...
scsi(5): Waiting for LIP to complete...
scsi(5): LIP reset occurred
scsi(5): LIP occurred.
scsi(5): LOOP UP detected
scsi5: Topology - (Loop), Host Loop address  0x0
scsi-qla1-adapter-node=200000e08b05cb1d;
scsi-qla1-adapter-port=210000e08b05cb1d;
scsi-qla1-target-0=1de0064068010650;
scsi4 : QLogic QLA2300 PCI to Fibre Channel Host Adapter: bus 2 device 1 irq 19
        Firmware version:  3.00.24, Driver version 4.31.7b
scsi5 : QLogic QLA2300 PCI to Fibre Channel Host Adapter: bus 2 device 5 irq 17
        Firmware version:  3.00.24, Driver version 4.31.7b
  Vendor: DGC       Model: RAID 10           Rev: 0843
  Type:   Direct-Access                      ANSI SCSI revision: 04
scsi(4:0:0:0): Enabled tagged queuing, queue depth 16.
Attached scsi disk sdb at scsi4, channel 0, id 0, lun 0
SCSI device sdb: 8388608 512-byte hdwr sectors (4295 MB)
 sdb: sdb1

qla2300 driver load
qla2x00: Found  VID=1077 DID=2300 SSVID=1077 SSDID=9
scsi4: Found a QLA2300  @ bus 2, device 0x1, irq 19, iobase 0xfc00
scsi(4): Configure NVRAM parameters...
qla2x00: 64 Bit PCI Addressing Enabled
scsi(4): Verifying loaded RISC code...
scsi(4): Verifying chip...
scsi(4): Waiting for LIP to complete...
qla2x00: Found  VID=1077 DID=2300 SSVID=1077 SSDID=9
scsi5: Found a QLA2300  @ bus 2, device 0x5, irq 17, iobase 0xf400
scsi(5): Configure NVRAM parameters...
qla2x00: 64 Bit PCI Addressing Enabled
scsi(5): Verifying loaded RISC code...
scsi(5): Verifying chip...
scsi(5): Waiting for LIP to complete...
scsi-qla00-adapter-port=210000e08b05ca1d\;
scsi-qla01-adapter-port=210000e08b05cb1d\;
scsi4 : QLogic QLA2300 PCI to Fibre Channel Host Adapter: bus 2 device 1 irq 19
        Firmware version:  3.00.28, Driver version 5.31.RH1
scsi5 : QLogic QLA2300 PCI to Fibre Channel Host Adapter: bus 2 device 5 irq 17
        Firmware version:  3.00.28, Driver version 5.31.RH1
blk: queue e83ed218, no I/O memory limit
blk: queue e83ed218, no I/O memory limit

/proc/scsi/qla2300/4
QLogic PCI to Fibre Channel Host Adapter for ISP2100/ISP2200/ISP2200A:
        Firmware version:  3.00.28, Driver version 5.31.RH1
Entry address = f898c060
HBA: QLA2300 , Serial# D35306
Request Queue = 0x5e0000, Response Queue = 0x5c0000
Request Queue count= 512, Response Queue count= 512
Number of pending commands = 0x0
Number of queued commands = 0x0
Number of free request entries = 511
Number of mailbox timeouts = 0
Number of ISP aborts = 0
Number of loop resyncs = 0
Number of retries for empty slots = 0
Number of reqs in retry_q = 0
Number of reqs in done_q = 0
Number of pending in_q reqs = 0
Host adapter: state = DOWN, flags= 0x2020837


SCSI Device Information:
scsi-qla0-adapter-node=200000e08b05ca1d;
scsi-qla0-adapter-port=210000e08b05ca1d;

SCSI LUN Information:
(Id:Lun)
Comment 1 Bugzilla owner 2004-09-30 11:39:21 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.